---
lang: en
title: 'API docs: repository-tests.crudrepositorytestsuite'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository-tests
permalink: /doc/en/lb4/apidocs.repository-tests.crudrepositorytestsuite.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository-tests](./repository-tests.md) &gt; [crudRepositoryTestSuite](./repository-tests.crudrepositorytestsuite.md)

## crudRepositoryTestSuite() function

**Signature:**

```typescript
export declare function crudRepositoryTestSuite(dataSourceOptions: DataSourceOptions, repositoryClass: CrudRepositoryCtor, partialFeatures: Partial<CrudFeatures>): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

dataSourceOptions


</td><td>

[DataSourceOptions](./repository-tests.datasourceoptions.md)


</td><td>


</td></tr>
<tr><td>

repositoryClass


</td><td>

[CrudRepositoryCtor](./repository-tests.crudrepositoryctor.md)


</td><td>


</td></tr>
<tr><td>

partialFeatures


</td><td>

Partial&lt;[CrudFeatures](./repository-tests.crudfeatures.md)<!-- -->&gt;


</td><td>


</td></tr>
</tbody></table>
**Returns:**

void


